# Function catIPFSContentFromNode

- catIPFSContentFromNode(cid, node?, offset?, controller?): AsyncIterable<Uint8Array, any, any>

- #### Parameters

  - cid: string
  - `Optional` node: IpfsNode
  - `Optional` offset: number
  - `Optional` controller: AbortController

  #### Returns AsyncIterable<Uint8Array, any, any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/utils/utils-ipfs.ts:303